GNU bug report logs - #55972
28.1; Package quickstart generated for large number of packages generates byte-code string larger than 64K, triggering bytecode overflow error

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Lynn Winebarger <owinebar@HIDDEN>; dated Tue, 14 Jun 2022 14:52:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 55972 <at> debbugs.gnu.org:


Received: (at 55972) by debbugs.gnu.org; 15 Jun 2022 09:31:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 15 05:31:31 2022
Received: from localhost ([127.0.0.1]:36554 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o1PN4-0000C6-K4
	for submit <at> debbugs.gnu.org; Wed, 15 Jun 2022 05:31:31 -0400
Received: from mail174c50.megamailservers.eu ([91.136.10.184]:38970
 helo=mail36c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1o1PN0-00007G-Du
 for 55972 <at> debbugs.gnu.org; Wed, 15 Jun 2022 05:31:28 -0400
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1655285484;
 bh=Ts0l64duzqfbesWukDONyIjDhqW+MDIxEtEoo743WWY=;
 h=Subject:From:In-Reply-To:Date:Cc:References:To:From;
 b=D48MRSavfuVF2epCfWEjYsovSQa93HIUNMJkE6E9qgr2V8ys5yO8MkA55XD2Dzv0V
 7/zEf721DcyFZTiKXiXZAWxK8I7+Izq/VaEZ/HaUaRe7k2R0HTE7IBPXLRcFNRaTmh
 i20wpRx9UMDkvz0wxUsr9Ko2XzSFCQPe0rJIPFFA=
Feedback-ID: mattiase@HIDDEN
Received: from smtpclient.apple (c188-150-171-71.bredband.tele2.se
 [188.150.171.71]) (authenticated bits=0)
 by mail36c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 25F9VLW8127137; 
 Wed, 15 Jun 2022 09:31:23 +0000
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.120.0.1.13\))
Subject: Re: bug#55972: 28.1; Package quickstart generated for large number of
 packages generates byte-code string larger than 64K,
 triggering bytecode overflow error
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
In-Reply-To: <1058D1B4-9A9F-41D9-BE59-55BFA2A69A10@HIDDEN>
Date: Wed, 15 Jun 2022 11:31:21 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <C741163A-B194-44C4-9CDB-93BA9D2ACDAA@HIDDEN>
References: <1058D1B4-9A9F-41D9-BE59-55BFA2A69A10@HIDDEN>
To: Lynn Winebarger <owinebar@HIDDEN>
X-Mailer: Apple Mail (2.3654.120.0.1.13)
X-CTCH-RefID: str=0001.0A782F18.62A9A6EC.0054, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-Origin-Country: SE
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 55972
Cc: 55972 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

> It still seems to generate far bigger bytecode chunks than the 300 =
cutoff would imply

That is simply because of some very large top-level forms: each package =
encloses its autoload definitions in a single `let` form at the top =
level. We could change the generation of package-quickstart.el to limit =
the number of forms in each top-level `let`.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55972; Package emacs. Full text available.

Message received at 55972 <at> debbugs.gnu.org:


Received: (at 55972) by debbugs.gnu.org; 14 Jun 2022 16:29:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 14 12:29:45 2022
Received: from localhost ([127.0.0.1]:35590 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o19QH-0001VL-9j
	for submit <at> debbugs.gnu.org; Tue, 14 Jun 2022 12:29:45 -0400
Received: from mail1467c50.megamailservers.eu ([91.136.14.67]:53144
 helo=mail268c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1o19QE-0001V0-2v
 for 55972 <at> debbugs.gnu.org; Tue, 14 Jun 2022 12:29:44 -0400
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1655224175;
 bh=/BYb11O/ndtPl/pQ1LNPokL7OuZ7kXuFyKkNxMjyqMA=;
 h=From:Subject:Date:Cc:To:From;
 b=lHyUcrqQBEpKUWQylqBF0B8izfIhxaRyJIeP54OgWVQMb4ERgm4TBCM/Nrt4zs9UU
 sIy0+y/T/gVo05fdfqJvrHqDXdBAT9dqxwaRdFuagQEebPAsuN3q84LFCLbpqIYZG1
 AN3wKBtqywfqCF4aR5cDbHatCGcTaBPKTtUvR4lY=
Feedback-ID: mattiase@HIDDEN
Received: from smtpclient.apple (c188-150-171-71.bredband.tele2.se
 [188.150.171.71]) (authenticated bits=0)
 by mail268c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 25EGTWnC000780; 
 Tue, 14 Jun 2022 16:29:34 +0000
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Content-Type: multipart/mixed;
 boundary="Apple-Mail=_91500EF0-CB8F-424C-90A6-1AA83833F829"
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.120.0.1.13\))
Subject: bug#55972: 28.1; Package quickstart generated for large number of
 packages generates byte-code string larger than 64K, triggering bytecode
 overflow error
Message-Id: <1058D1B4-9A9F-41D9-BE59-55BFA2A69A10@HIDDEN>
Date: Tue, 14 Jun 2022 18:29:32 +0200
To: Lynn Winebarger <owinebar@HIDDEN>
X-Mailer: Apple Mail (2.3654.120.0.1.13)
X-CTCH-RefID: str=0001.0A782F25.62A8B76F.0026, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-Origin-Country: SE
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  If, as seems to be the case, byte-compile-keep-pending is
 only used for top-level forms, then this patch may even be correct. Does it
 solve your problems? It still seems to generate far bigger bytecod [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 0.3 KHOP_HELO_FCRDNS       Relay HELO differs from its IP's reverse DNS
X-Debbugs-Envelope-To: 55972
Cc: 55972 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)


--Apple-Mail=_91500EF0-CB8F-424C-90A6-1AA83833F829
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=us-ascii

If, as seems to be the case, byte-compile-keep-pending is only used for =
top-level forms, then this patch may even be correct. Does it solve your =
problems?
It still seems to generate far bigger bytecode chunks than the 300 =
cutoff would imply but that's perhaps just a matter of calling the =
function in more places.


--Apple-Mail=_91500EF0-CB8F-424C-90A6-1AA83833F829
Content-Disposition: attachment;
	filename=bytecomp-flush-big.diff
Content-Type: application/octet-stream;
	x-unix-mode=0644;
	name="bytecomp-flush-big.diff"
Content-Transfer-Encoding: 7bit

diff --git a/lisp/emacs-lisp/bytecomp.el b/lisp/emacs-lisp/bytecomp.el
index ab21fba8a2..156a38ec2d 100644
--- a/lisp/emacs-lisp/bytecomp.el
+++ b/lisp/emacs-lisp/bytecomp.el
@@ -2521,13 +2521,12 @@ byte-compile-output-docform
 (defun byte-compile-keep-pending (form &optional handler)
   (if (memq byte-optimize '(t source))
       (setq form (byte-optimize-one-form form t)))
+  ;; To avoid consing up monstrously large forms at load time, we split
+  ;; the output regularly.
+  (when (nthcdr 300 byte-compile-output)
+    (byte-compile-flush-pending))
   (if handler
       (let ((byte-compile--for-effect t))
-	;; To avoid consing up monstrously large forms at load time, we split
-	;; the output regularly.
-	(and (memq (car-safe form) '(fset defalias))
-	     (nthcdr 300 byte-compile-output)
-	     (byte-compile-flush-pending))
 	(funcall handler form)
 	(if byte-compile--for-effect
 	    (byte-compile-discard)))

--Apple-Mail=_91500EF0-CB8F-424C-90A6-1AA83833F829--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55972; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Jun 2022 14:51:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 14 10:51:37 2022
Received: from localhost ([127.0.0.1]:35456 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o17tH-0007J3-Je
	for submit <at> debbugs.gnu.org; Tue, 14 Jun 2022 10:51:37 -0400
Received: from lists.gnu.org ([209.51.188.17]:39392)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <owinebar@HIDDEN>) id 1o17tD-0007Is-RT
 for submit <at> debbugs.gnu.org; Tue, 14 Jun 2022 10:51:33 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:56114)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <owinebar@HIDDEN>)
 id 1o17t5-0004Sy-Sg
 for bug-gnu-emacs@HIDDEN; Tue, 14 Jun 2022 10:51:31 -0400
Received: from mail-vs1-xe2d.google.com ([2607:f8b0:4864:20::e2d]:40510)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <owinebar@HIDDEN>)
 id 1o17t1-0001au-5w
 for bug-gnu-emacs@HIDDEN; Tue, 14 Jun 2022 10:51:23 -0400
Received: by mail-vs1-xe2d.google.com with SMTP id d39so9172330vsv.7
 for <bug-gnu-emacs@HIDDEN>; Tue, 14 Jun 2022 07:51:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:from:date:message-id:subject:to;
 bh=pMqT/K9KERgxndNYQwiyuin/ZiqAWJStZNd5gwG96OY=;
 b=QSBr7s9jT8tamQIMvBTYCqdDLLsG54nB0sE0ydWOBbFhDwMU689Pl+KeVDNLASt392
 oR+32MA6B5ceK1KsuerZoHcknDubfo9xbZcIc7PYGo+vo3TH5HwVVYNwQRhoIAi2tvKS
 jyE3UES21YvvlbUqWLSdUk5lbEd2W8Oz6xl346IzWwdnXpMp4tx/+G80sOgeJ7DCAFDU
 WI53TYRP4fEZ8xDgESrBnPSVNJP7DF+bNYG+5CU+Wi07LFIGlHNZfYBlNYatzaIj936T
 mr9aEjoPYiLgvcgPGDgQ5Qho9FF7CCYoxcQIndDbqucfmlvc15AaUke18N5LOyNwjA3H
 pRyQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=pMqT/K9KERgxndNYQwiyuin/ZiqAWJStZNd5gwG96OY=;
 b=yvZpDgx93oXBvflqn+2xJTN5704qpejzVZTcK6HsuscoFdcxdm/pw2NsPu6k4ptclB
 ZnA+ZK+vNrQ6+oIm5/QqQYXMVehNgFvASLfFt5PSEyXD09dty4yp4ydzUv4HvOrMz4SB
 V9fBA01SKuyzOflk5hd1ZrSa4mtOL2m0lje/l082e40ot5wm7mvGC0lUCCidiYNJ4Bdn
 a85wBB3kXiq6TsunfE/y/fc/lSUcOQlzhRFuFQKkyuO1jL0XzM4vktfVmxnNXp5GdQZ0
 ZTctsyC4CDNLeOhBprjnztH+d11DqZJyLRxJSqnNvEfOES7vPXr+foTfQMDBmlGp8HDQ
 bA4g==
X-Gm-Message-State: AJIora82eFkwBItraDHU7TZSUKkG4EouT8IyDMIWGFaps4ekA8wGhuP2
 BKslr4oFytSa0IwKbrnc8gdYWhRc90fX1nhUn3R4quuc0cc=
X-Google-Smtp-Source: AGRyM1u4+LQNbphsKcpOpVSl/PFLtgiu9fZDw8S7AHbTvhLeRQS7ZlJlmSmKbW9XHIOB99p7O4pbZ512dw4Z+7VkUh4=
X-Received: by 2002:a67:c78f:0:b0:32d:8831:16f0 with SMTP id
 t15-20020a67c78f000000b0032d883116f0mr2246486vsk.64.1655218276976; Tue, 14
 Jun 2022 07:51:16 -0700 (PDT)
MIME-Version: 1.0
From: Lynn Winebarger <owinebar@HIDDEN>
Date: Tue, 14 Jun 2022 10:51:03 -0400
Message-ID: <CAM=F=bAb=d=J_-E-B+PfrjnzUKmaA4kGdTUOWnx=H_RDSS+N+w@HIDDEN>
Subject: 28.1; Package quickstart generated for large number of packages
 generates byte-code string larger than 64K, triggering bytecode overflow error
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="0000000000006ccc0f05e16989b3"
Received-SPF: pass client-ip=2607:f8b0:4864:20::e2d;
 envelope-from=owinebar@HIDDEN; helo=mail-vs1-xe2d.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--0000000000006ccc0f05e16989b3
Content-Type: text/plain; charset="UTF-8"

I installed 940+ packages, with the package-quickstart option set to t.
During the last set of packages I attempted to install, a message stating
that attempting to byte-compile package-quickstart.el generated the
error "bytecode overflow" appeared, and the installation process failed
I don't know if the transaction was left in an incomplete state or not.

I examined the package-quickstart.el file, and by trial and error found
that cutting out the last few packages rendered a file that
byte-compiled, and then verified that this happened whether I cut from
the beginning or the end.

I disassembled the byte code and it's simply a result of the byte-code
interpreter being limited to 16-bit addresses.

Whether this is a bug in the package system code for generating the
package-quickstart.el file or a bug in the compiler for not handling the
limitation more robustly, I leave to you.


In GNU Emacs 28.1 (build 1, x86_64-pc-cygwin, GTK+ Version 3.22.28, cairo
version 1.17.4)
 of 2022-04-05 built on fv-az282-442
Repository revision: 402e460d4c4ab116ebe2aebea5606ac4ac4a9e21
Repository branch: master
Windowing system distributor 'The Cygwin/X Project', version 11.0.12101003
Configured using:
 'configure
 --srcdir=/cygdrive/d/a/scallywag/emacs/emacs-28.1-1.x86_64/src/emacs-28.1
 --prefix=/usr --exec-prefix=/usr --localstatedir=/var --sysconfdir=/etc
 --infodir=/usr/share/info --mandir=/usr/share/man -C 'CFLAGS=-ggdb -O2
 -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2
 -fstack-protector-strong --param=ssp-buffer-size=4
 -fdebug-prefix-map=/cygdrive/d/a/scallywag/emacs/emacs-28.1-1.x86_64/build=/usr/src/debug/emacs-28.1-1
 -fdebug-prefix-map=/cygdrive/d/a/scallywag/emacs/emacs-28.1-1.x86_64/src/emacs-28.1=/usr/src/debug/emacs-28.1-1'
 CPPFLAGS= LDFLAGS='

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG JSON
LCMS2 LIBOTF LIBXML2 M17N_FLT MODULES NOTIFY GFILENOTIFY PDUMPER PNG
RSVG SOUND THREADS TIFF TOOLKIT_SCROLL_BARS X11 XDBE XIM XPM GTK3 ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=none
  locale-coding-system: utf-8-unix

Major mode: Compilation

Minor modes in effect:
  erefactor-check-eval-mode: t
  async-bytecomp-package-mode: t
  sly-symbol-completion-mode: t
  treemacs-filewatch-mode: t
  treemacs-follow-mode: t
  treemacs-git-mode: t
  treemacs-fringe-indicator-mode: t
  csv-field-index-mode: t
  TeX-PDF-mode: t
  delete-selection-mode: t
  highlight-changes-visible-mode: t
  shell-dirtrack-mode: t
  global-tab-line-mode: t
  tab-line-mode: t
  windmove-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  context-menu-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/owine/.emacs.d/elpa/evil-1.15.0/evil hides
/home/owine/.emacs.d/elpa/evil-20220518.859/evil
/home/owine/.emacs.d/elpa/evil-1.15.0/evil-vars hides
/home/owine/.emacs.d/elpa/evil-20220518.859/evil-vars
/home/owine/.emacs.d/elpa/evil-1.15.0/evil-types hides
/home/owine/.emacs.d/elpa/evil-20220518.859/evil-types
/home/owine/.emacs.d/elpa/evil-1.15.0/evil-states hides
/home/owine/.emacs.d/elpa/evil-20220518.859/evil-states
/home/owine/.emacs.d/elpa/evil-1.15.0/evil-search hides
/home/owine/.emacs.d/elpa/evil-20220518.859/evil-search
/home/owine/.emacs.d/elpa/evil-1.15.0/evil-repeat hides
/home/owine/.emacs.d/elpa/evil-20220518.859/evil-repeat
/home/owine/.emacs.d/elpa/evil-1.15.0/evil-pkg hides
/home/owine/.emacs.d/elpa/evil-20220518.859/evil-pkg
/home/owine/.emacs.d/elpa/evil-1.15.0/evil-maps hides
/home/owine/.emacs.d/elpa/evil-20220518.859/evil-maps
/home/owine/.emacs.d/elpa/evil-1.15.0/evil-macros hides
/home/owine/.emacs.d/elpa/evil-20220518.859/evil-macros
/home/owine/.emacs.d/elpa/evil-1.15.0/evil-keybindings hides
/home/owine/.emacs.d/elpa/evil-20220518.859/evil-keybindings
/home/owine/.emacs.d/elpa/evil-1.15.0/evil-jumps hides
/home/owine/.emacs.d/elpa/evil-20220518.859/evil-jumps
/home/owine/.emacs.d/elpa/evil-1.15.0/evil-integration hides
/home/owine/.emacs.d/elpa/evil-20220518.859/evil-integration
/home/owine/.emacs.d/elpa/evil-1.15.0/evil-ex hides
/home/owine/.emacs.d/elpa/evil-20220518.859/evil-ex
/home/owine/.emacs.d/elpa/evil-1.15.0/evil-digraphs hides
/home/owine/.emacs.d/elpa/evil-20220518.859/evil-digraphs
/home/owine/.emacs.d/elpa/evil-1.15.0/evil-development hides
/home/owine/.emacs.d/elpa/evil-20220518.859/evil-development
/home/owine/.emacs.d/elpa/evil-1.15.0/evil-core hides
/home/owine/.emacs.d/elpa/evil-20220518.859/evil-core
/home/owine/.emacs.d/elpa/evil-1.15.0/evil-common hides
/home/owine/.emacs.d/elpa/evil-20220518.859/evil-common
/home/owine/.emacs.d/elpa/evil-1.15.0/evil-commands hides
/home/owine/.emacs.d/elpa/evil-20220518.859/evil-commands
/home/owine/.emacs.d/elpa/evil-1.15.0/evil-command-window hides
/home/owine/.emacs.d/elpa/evil-20220518.859/evil-command-window
/home/owine/.emacs.d/elpa/evil-1.15.0/evil-autoloads hides
/home/owine/.emacs.d/elpa/evil-20220518.859/evil-autoloads
/home/owine/.emacs.d/elpa/lispy-20220209.1138/elpa hides
/home/owine/.emacs.d/elpa/ivy-20220529.1130/elpa
/home/owine/.emacs.d/elpa/xcscope-20210719.828/xcscope hides
/usr/share/emacs/site-lisp/xcscope
/home/owine/.emacs.d/elpa/auctex-13.1.3/tex-site hides
/usr/share/emacs/site-lisp/tex-site
/home/owine/.emacs.d/elpa/maxima-20220531.1751/maxima hides
/usr/share/emacs/site-lisp/maxima
/home/owine/.emacs.d/elpa/maxima-20220531.1751/maxima-font-lock hides
/usr/share/emacs/site-lisp/maxima-font-lock
/home/owine/.emacs.d/elpa/cmake-mode-20220322.1258/cmake-mode hides
/usr/share/emacs/site-lisp/cmake-mode
/home/owine/.emacs.d/elpa/clhs-20210428.1911/clhs hides
/usr/share/emacs/site-lisp/clhs
/home/owine/.emacs.d/elpa/clang-format-20191106.950/clang-format hides
/usr/share/emacs/site-lisp/clang-format
/home/owine/.emacs.d/elpa/auctex-13.1.3/auctex hides
/usr/share/emacs/site-lisp/auctex
/home/owine/.emacs.d/elpa/auctex-13.1.3/toolbar-x hides
/usr/share/emacs/site-lisp/auctex/toolbar-x
/home/owine/.emacs.d/elpa/auctex-13.1.3/texmathp hides
/usr/share/emacs/site-lisp/auctex/texmathp
/home/owine/.emacs.d/elpa/auctex-13.1.3/tex hides
/usr/share/emacs/site-lisp/auctex/tex
/home/owine/.emacs.d/elpa/auctex-13.1.3/tex-style hides
/usr/share/emacs/site-lisp/auctex/tex-style
/home/owine/.emacs.d/elpa/auctex-13.1.3/tex-mik hides
/usr/share/emacs/site-lisp/auctex/tex-mik
/home/owine/.emacs.d/elpa/auctex-13.1.3/tex-jp hides
/usr/share/emacs/site-lisp/auctex/tex-jp
/home/owine/.emacs.d/elpa/auctex-13.1.3/tex-ispell hides
/usr/share/emacs/site-lisp/auctex/tex-ispell
/home/owine/.emacs.d/elpa/auctex-13.1.3/tex-info hides
/usr/share/emacs/site-lisp/auctex/tex-info
/home/owine/.emacs.d/elpa/auctex-13.1.3/tex-font hides
/usr/share/emacs/site-lisp/auctex/tex-font
/home/owine/.emacs.d/elpa/auctex-13.1.3/tex-fold hides
/usr/share/emacs/site-lisp/auctex/tex-fold
/home/owine/.emacs.d/elpa/auctex-13.1.3/tex-bar hides
/usr/share/emacs/site-lisp/auctex/tex-bar
/home/owine/.emacs.d/elpa/auctex-13.1.3/preview hides
/usr/share/emacs/site-lisp/auctex/preview
/home/owine/.emacs.d/elpa/auctex-13.1.3/plain-tex hides
/usr/share/emacs/site-lisp/auctex/plain-tex
/home/owine/.emacs.d/elpa/auctex-13.1.3/multi-prompt hides
/usr/share/emacs/site-lisp/auctex/multi-prompt
/home/owine/.emacs.d/elpa/auctex-13.1.3/latex hides
/usr/share/emacs/site-lisp/auctex/latex
/home/owine/.emacs.d/elpa/auctex-13.1.3/latex-flymake hides
/usr/share/emacs/site-lisp/auctex/latex-flymake
/home/owine/.emacs.d/elpa/auctex-13.1.3/font-latex hides
/usr/share/emacs/site-lisp/auctex/font-latex
/home/owine/.emacs.d/elpa/auctex-13.1.3/context hides
/usr/share/emacs/site-lisp/auctex/context
/home/owine/.emacs.d/elpa/auctex-13.1.3/context-nl hides
/usr/share/emacs/site-lisp/auctex/context-nl
/home/owine/.emacs.d/elpa/auctex-13.1.3/context-en hides
/usr/share/emacs/site-lisp/auctex/context-en
/home/owine/.emacs.d/elpa/auctex-13.1.3/bib-cite hides
/usr/share/emacs/site-lisp/auctex/bib-cite
/home/owine/.emacs.d/elpa/transient-20220527.2213/transient hides
/usr/share/emacs/28.1/lisp/transient
/home/owine/.emacs.d/elpa/xref-1.4.1/xref hides
/usr/share/emacs/28.1/lisp/progmodes/xref
/home/owine/.emacs.d/elpa/dictionary-20201001.1727/dictionary hides
/usr/share/emacs/28.1/lisp/net/dictionary
/home/owine/.emacs.d/elpa/hierarchy-20190425.842/hierarchy hides
/usr/share/emacs/28.1/lisp/emacs-lisp/hierarchy
/home/owine/.emacs.d/elpa/cl-print-1.0/cl-print hides
/usr/share/emacs/28.1/lisp/emacs-lisp/cl-print

Features:
(shadow mail-extr geiser-impl geiser-custom geiser-base disass emacsbug
two-column misearch multi-isearch erefactor helm-for-files helm-comint
helm-imenu helm-bookmark helm-external helm-mode helm-misc helm-elisp
helm-files image-dired helm-buffers helm-tags helm-locate helm-eval
helm-occur helm-grep helm-regexp helm-net helm-adaptive helm-info
helm-utils helm-types helm-help helm helm-global-bindings helm-easymenu
helm-core async-bytecomp slime sly sly-completion sly-buttons
sly-messages sly-common hyperspec ace-jump-mode dired-subtree
dired-hacks-utils dired-x windata helm-make django-snippets pythonic
magit-popup docbook-snippets docstr docstr-key docstr-faces
docstr-writers docstr-util doom-modeline-segments doom-modeline-env
doom-modeline-core shrink-path doom-themes-base dynamic-ruler compat
checkdoc ebib ebib-reading-list ebib-notes ebib-filters ebib-keywords
ebib-utils ebib-db ecb-symboldef ecb-analyse ecb-compatibility
ecb-winman-support ecb-autogen ecb-tod ecb-cycle ecb-eshell ecb-help
ecb-jde ecb-upgrade ecb-file-browser ecb-method-browser
ecb-semantic-wrapper ecb-semantic ecb-speedbar ecb-layout
ecb-create-layout ecb-compilation ecb-common-browser ecb-navigate
eieio-compat ecb-cedet-wrapper semantic/db-mode semantic/db-find
semantic/db-ref semantic/analyze semantic/sort semantic/scope
semantic/analyze/fcn semantic/format semantic/tag-ls semantic/find
semantic/ctxt ecb-mode-line ecb-face tree-buffer ecb-util silentcomp
vc-mtn vc-bzr vc-src vc-sccs vc-svn vc-cvs vc-rcs eglot array
julia-mode-latexsubs eide-vc xcscope eide-windows eide-search
eide-project eide-keys eide-compare eide-popup eide-edit eide-menu
eide-display eide-config js ein-process ein-jupyter ein-dev ein-notebook
ein-python-send ein-traceback ein-pytools ein-pager ein-completer
ein-notification ein-scratchsheet ein-worksheet poly-ein
display-line-numbers ein-kill-ring ein-cell ein-kernelinfo
ein-notebooklist ein-contents-api ein-file ein-shared-output
ein-output-area ein-kernel ein-ipdb ein-query ein-events ein-websocket
websocket ein-node ein-log ein-classes ein-core request ein-utils
anaphora ein polymode polymode-base polymode-weave polymode-export
polymode-compat polymode-methods trace poly-lock polymode-core
polymode-classes eldev profiler eldev-util jsonrpc electric-operator elp
benchmark electric-spacing-text-mode electric-spacing-emacs-lisp-mode
electric-spacing-haskell-mode electric-spacing-org-mode
electric-spacing-rust-mode electric-spacing-python-mode
electric-spacing-cc-mode electric-spacing lsp-pwsh lsp-kotlin dap-ui
lsp-treemacs gdb-mi gud bui lsp-lens dap-utils dap-mode dap-launch
dap-overlays lsp-treemacs-themes treemacs treemacs-header-line
treemacs-compatibility treemacs-mode treemacs-bookmarks thunk
treemacs-interface treemacs-extensions treemacs-mouse-interface
treemacs-tags treemacs-faces treemacs-persistence
treemacs-filewatch-mode treemacs-follow-mode treemacs-rendering
treemacs-annotations treemacs-async treemacs-visuals
treemacs-fringe-indicator treemacs-icons treemacs-themes
treemacs-workspaces treemacs-scope treemacs-dom treemacs-core-utils
treemacs-macros treemacs-logging treemacs-customization pfuture
dashboard git dashboard-widgets recentf extmap dotassoc kv debbugs-gnu
add-log debbugs-compat debbugs soap-client rng-xsd xsd-regexp ob-shell
em-hist em-pred esh-mode detached autorevert trie tNFA heap link
connection diff-hl-show-hunk diff-hl-inline-popup diff-hl-dired diff
diff-hl vc-hg log-view pcvs-util vc-dir treeview dash-docs ediff
ediff-merg ediff-mult ediff-wind ediff-diff ediff-help ediff-init
ediff-util projectile counsel xdg swiper skeleton ibuf-macs find-dired
grep ibuf-ext ibuffer ibuffer-loaddefs cpio-dired cpio-odc cpio-hpodc
cpio-hpbin cpio-crc cpio-bin cpio-affiliated-buffers cpio-modes
cpio-newc cpio-generic bindat cquery-inheritance-hierarchy
cquery-call-hierarchy cquery-code-lens cquery-semantic-highlighting
cquery-tree cquery-common lsp autothemer csharp-compilation
css-eldoc-hash-table csv-mode hsluv ctxmenu common-lisp-snippets
company-c-headers axiom-environment company-box-doc company-box-icons
frame-local company-coq-utils company-coq-tg company-coq-abbrev smie shr
kinsoku svg hideshow company-math flx ffap irony-completion
irony-snippet irony-cdb-json irony-cdb irony irony-iotask jedi-core epc
ctable concurrent python-environment company-etags lean-dev
lean-right-click lean-message-boxes lean-type lean-hole lean-flycheck
lean-input lean-eri lean-info lean-syntax lean-server lean-leanpkg
lean-debug lean-settings lean-util math-symbol-lists maxima
maxima-font-lock posframe rtags repeat asm-mode company-web company-css
web-completion-data levenshtein find-file python helm-source
helm-multi-match helm-lib clj-refactor cap-words superword subword
inflections cider paredit mc-separate-operations rectangular-region-mode
mc-mark-pop mc-edit-lines mc-hide-unmatched-lines-mode mc-mark-more
mc-cycle-cursors multiple-cursors-core oc-csl org-id citar citar-file
clang-format tramp-sh cider-debug cider-repl-history cider-scratch pulse
cider-mode cider-completion cider-profile cider-inspector cider-eval
cider-repl cider-test cider-stacktrace cider-overlays cider-jar
cider-browse-ns cider-eldoc apropos cider-find cider-resolve cider-doc
cider-browse-spec cider-clojuredocs cider-client cider-connection
sesman-browser nrepl-client parseedn cider-popup cider-common cider-util
sesman clojure-mode nrepl-dict align parseclj-ast parseclj-parser
parseclj-lex parseclj-alist tls lui-track circe lui-irc-colors irc lcs
lui-logging lui-format lui tracking shorten flyspell circe-compat
citeproc-org org-ref org-ref-core org-ref-glossary org-ref-bibtex
org-ref-export ox-pandoc org-ref-misc-links org-ref-label-link
org-ref-ref-links org-ref-citation-links org-ref-bibliography-links
bibtex-completion doi-utils org-ref-utils citeproc citeproc-itemgetters
citeproc-cite citeproc-generic-elements citeproc-choose
string-inflection citeproc-biblatex citeproc-subbibs citeproc-sort
citeproc-name citeproc-macro citeproc-formatters citeproc-proc
citeproc-disamb citeproc-itemdata citeproc-number queue citeproc-date
citeproc-context citeproc-style citeproc-locale citeproc-prange
citeproc-term citeproc-rt citeproc-lib citeproc-bibtex citeproc-s
ol-bibtex ox-org ox-odt ox-latex ox-icalendar ox-html table ox-ascii
ox-publish ox citre-peek citre-basic-tools citre-ctags citre-util
citre-core citre-tag citre-core-tables citre-common cl-format-builtins
clisp-format cl-format-def tree-mode hierarchy cg-global which-func caml
view rfc1345 cape ccls-member-hierarchy ccls-inheritance-hierarchy
ccls-call-hierarchy ccls-code-lens ccls-semantic-highlight ccls-tree
ccls-common lsp-javascript lsp-html lsp-icons lsp-completion
lsp-semantic-tokens lsp-mode lsp-protocol markdown-mode ht inline
centaur-tabs-interactive centaur-tabs-functions centaur-tabs-elements
powerline powerline-separators powerline-themes config-manage
config-manage-mode config-manage-prop config-manage-base choice-program
time-stamp config-manage-declare choice-program-complete bug-hunter
bui-list bui-info bui-entry bui-core bui-history bui-button bui-utils
org-agenda org-colview org-element avl-tree boxy benchmark-init
reftex-sel org-capture org-refile filenotify biblio parsebib
biblio-download biblio-dissemin biblio-ieee biblio-hal biblio-dblp
biblio-crossref biblio-arxiv biblio-doi biblio-core url-queue ido
hl-line f f-shortdoc tempo make-mode etags fileloop company-dabbrev
company-template company avy axiom-selector axiom-buffer-menu
axiom-boot-mode axiom-spad-mode axiom-input-mode imenu
axiom-process-mode axiom-help-mode axiom-base mm-url vc-git diff-mode vc
vc-dispatcher macrostep-c cmacexp macrostep lua-mode texinfo
texinfo-loaddefs toolbar-x reporter desktop frameset context plain-tex
latex latex-flymake flymake-proc flymake tex-ispell tex-style tex crm
texmathp auto-loads tex-site auto-complete-config rng-nxml nxml-mode
nxml-outln nxml-rap rng-valid rng-loc rng-uri rng-parse nxml-parse
nxml-enc rng-match rng-dt rng-util rng-pttrn nxml-ns xmltok nxml-util
yaxception auto-complete popup sage-shell-mode deferred ede/srecode
srecode semantic/db semantic/util-modes semantic/util semantic
semantic/tag semantic/lex semantic/fw mode-local ede/speedbar ede/files
ede ede/detect ede/base ede/source eieio-speedbar cedet cc-langs spinner
ede/auto eieio-base arxiv-query arxiv-vars org ob ob-tangle ob-ref
ob-lob ob-table ob-exp org-macro org-footnote org-src ob-comint
org-pcomplete org-list org-faces org-entities noutline outline
org-version ob-emacs-lisp ob-core ob-eval org-table oc-basic bibtex ol
org-keys oc org-compat org-macs org-loaddefs hydra lv smtpmail sendmail
dired-aux async async-await iter2 promise promise-rejection-tracking
promise-finally promise-done promise-es6-extensions promise-core
generator enriched pces-e20 pces-20 pccl-20 broken ccl path-util
invisible inv-23 mcs-e20 mcs-20 mcharset poem poem-e20 poem-e20_3 pym
poe alist static apel-ver product cl yasnippet-snippets angular-snippets
yasnippet log4e notifications gntp almost-mono-themes sort reftex-dcr
reftex-parse reftex-cite reftex reftex-loaddefs reftex-vars s
all-the-icons ivy-rich ivy delsel ivy-faces ivy-overlay colir
all-the-icons-faces data-material data-weathericons data-octicons
data-fileicons data-faicons data-alltheicons edit-indirect ssass-mode
vue-html-mode mmm-cmds mmm-mode mmm-univ sgml-mode dom mmm-class
mmm-region mmm-auto mmm-vars mmm-utils mmm-compat face-remap term
disp-table ehelp term/xterm xterm reformatter timezone xmlunicode quail
xmlunicode-character-list ert ewoc debug flycheck dash let-alist
easy-mmode epl rx warnings yaml-mode tar-mode arc-mode archive-mode
names edebug backtrace autoload lisp-mnt mm-archive network-stream
url-http url-gw url-auth cl-print eieio-opt cl-extra shortdoc package-x
help-fns radix-tree mule-util vhdl-mode hippie-exp cus-theme tmm
find-func time color shadowfile xwidget bookmark wid-browse tree-widget
eieio-custom woman speedbar ezimage dframe rst compile proced mh-e
mh-compat mh-buffers mh-loaddefs message rfc822 mml mml-sec epa derived
epg rfc6068 mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader hilit-chg hi-lock gnus nnheader gnus-util rmail
rmail-loaddefs rfc2047 rfc2045 ietf-drums text-property-search
mail-utils mm-util mail-prsvr facemenu cwarn cc-mode cc-fonts cc-guess
cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs ses
unsafep rcirc newst-backend mpc ispell htmlfontify htmlfontify-loaddefs
eshell esh-cmd esh-ext esh-opt esh-proc esh-io esh-arg esh-module
esh-groups esh-util erc-goodies erc erc-backend erc-loaddefs doc-view
jka-compr image-mode exif cal-menu calendar cal-loaddefs calculator
edmacro kmacro calc calc-loaddefs rect calc-macs tramp tramp-loaddefs
trampver tramp-integration files-x tramp-compat parse-time iso8601
ls-lisp format-spec ntlm hmac-md5 hex-util md4 nsm rmc netrc net-utils
ldap kermit shell pcomplete gravatar dns url-cache goto-addr gnutls puny
eudc-vars dig dbus xml bug-reference ange-ftp comint server man
ansi-color locate dired dired-loaddefs epg-config ebnf2ps ps-print
ps-print-loaddefs ps-def lpr bib-mode help-mode novice thingatpt xref
project ring cus-edit pp wid-edit cus-start time-date
modus-operandi-theme modus-themes pcase tab-line cus-load windmove
finder-inf bnf-mode-autoloads names-autoloads advice
namespaces-autoloads realgud-recursive-autoloads slime-autoloads
with-editor-autoloads info package browse-url url url-proxy url-privacy
url-expand url-methods url-history url-cookie url-domsuf url-util
mailcap url-handlers url-parse auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs password-cache json subr-x map url-vars seq
byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib iso-transl
tooltip eldoc paren electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode mwheel term/x-win x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite emoji-zwj charscript
charprop case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget hashtable-print-readable backquote threads dbusbind
gfilenotify lcms2 dynamic-setting system-font-setting
font-render-setting cairo move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 3122102 613628)
 (symbols 48 167919 62)
 (strings 32 759155 206619)
 (string-bytes 1 22732645)
 (vectors 16 252152)
 (vector-slots 8 4169882 371529)
 (floats 8 3882 287)
 (intervals 56 204409 17430)
 (buffers 992 249))

--0000000000006ccc0f05e16989b3
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br>I installed 940+ packages, with the package-quickstart=
 option set to t.<br>During the last set of packages I attempted to install=
, a message stating<br>that attempting to byte-compile package-quickstart.e=
l generated the<br>error &quot;bytecode overflow&quot; appeared, and the in=
stallation process failed<br>I don&#39;t know if the transaction was left i=
n an incomplete state or not.<br><br>I examined the package-quickstart.el f=
ile, and by trial and error found<br>that cutting out the last few packages=
 rendered a file that<br>byte-compiled, and then verified that this happene=
d whether I cut from<br>the beginning or the end.<br><br>I disassembled the=
 byte code and it&#39;s simply a result of the byte-code<br>interpreter bei=
ng limited to 16-bit addresses.<br><br>Whether this is a bug in the package=
 system code for generating the<br>package-quickstart.el file or a bug in t=
he compiler for not handling the<br>limitation more robustly, I leave to yo=
u.<br><br><br>In GNU Emacs 28.1 (build 1, x86_64-pc-cygwin, GTK+ Version 3.=
22.28, cairo version 1.17.4)<br>=C2=A0of 2022-04-05 built on fv-az282-442<b=
r>Repository revision: 402e460d4c4ab116ebe2aebea5606ac4ac4a9e21<br>Reposito=
ry branch: master<br>Windowing system distributor &#39;The Cygwin/X Project=
&#39;, version 11.0.12101003<br>Configured using:<br>=C2=A0&#39;configure<b=
r>=C2=A0--srcdir=3D/cygdrive/d/a/scallywag/emacs/emacs-28.1-1.x86_64/src/em=
acs-28.1<br>=C2=A0--prefix=3D/usr --exec-prefix=3D/usr --localstatedir=3D/v=
ar --sysconfdir=3D/etc<br>=C2=A0--infodir=3D/usr/share/info --mandir=3D/usr=
/share/man -C &#39;CFLAGS=3D-ggdb -O2<br>=C2=A0-pipe -Wall -Werror=3Dformat=
-security -Wp,-D_FORTIFY_SOURCE=3D2<br>=C2=A0-fstack-protector-strong --par=
am=3Dssp-buffer-size=3D4<br>=C2=A0-fdebug-prefix-map=3D/cygdrive/d/a/scally=
wag/emacs/emacs-28.1-1.x86_64/build=3D/usr/src/debug/emacs-28.1-1<br>=C2=A0=
-fdebug-prefix-map=3D/cygdrive/d/a/scallywag/emacs/emacs-28.1-1.x86_64/src/=
emacs-28.1=3D/usr/src/debug/emacs-28.1-1&#39;<br>=C2=A0CPPFLAGS=3D LDFLAGS=
=3D&#39;<br><br>Configured features:<br>ACL CAIRO DBUS FREETYPE GIF GLIB GM=
P GNUTLS GSETTINGS HARFBUZZ JPEG JSON<br>LCMS2 LIBOTF LIBXML2 M17N_FLT MODU=
LES NOTIFY GFILENOTIFY PDUMPER PNG<br>RSVG SOUND THREADS TIFF TOOLKIT_SCROL=
L_BARS X11 XDBE XIM XPM GTK3 ZLIB<br><br>Important settings:<br>=C2=A0 valu=
e of $LANG: en_US.UTF-8<br>=C2=A0 value of $XMODIFIERS: @im=3Dnone<br>=C2=
=A0 locale-coding-system: utf-8-unix<br><br>Major mode: Compilation<br><br>=
Minor modes in effect:<br>=C2=A0 erefactor-check-eval-mode: t<br>=C2=A0 asy=
nc-bytecomp-package-mode: t<br>=C2=A0 sly-symbol-completion-mode: t<br>=C2=
=A0 treemacs-filewatch-mode: t<br>=C2=A0 treemacs-follow-mode: t<br>=C2=A0 =
treemacs-git-mode: t<br>=C2=A0 treemacs-fringe-indicator-mode: t<br>=C2=A0 =
csv-field-index-mode: t<br>=C2=A0 TeX-PDF-mode: t<br>=C2=A0 delete-selectio=
n-mode: t<br>=C2=A0 highlight-changes-visible-mode: t<br>=C2=A0 shell-dirtr=
ack-mode: t<br>=C2=A0 global-tab-line-mode: t<br>=C2=A0 tab-line-mode: t<br=
>=C2=A0 windmove-mode: t<br>=C2=A0 tooltip-mode: t<br>=C2=A0 global-eldoc-m=
ode: t<br>=C2=A0 show-paren-mode: t<br>=C2=A0 electric-indent-mode: t<br>=
=C2=A0 mouse-wheel-mode: t<br>=C2=A0 file-name-shadow-mode: t<br>=C2=A0 con=
text-menu-mode: t<br>=C2=A0 global-font-lock-mode: t<br>=C2=A0 font-lock-mo=
de: t<br>=C2=A0 blink-cursor-mode: t<br>=C2=A0 auto-composition-mode: t<br>=
=C2=A0 auto-encryption-mode: t<br>=C2=A0 auto-compression-mode: t<br>=C2=A0=
 buffer-read-only: t<br>=C2=A0 column-number-mode: t<br>=C2=A0 line-number-=
mode: t<br>=C2=A0 indent-tabs-mode: t<br>=C2=A0 transient-mark-mode: t<br><=
br>Load-path shadows:<br>/home/owine/.emacs.d/elpa/evil-1.15.0/evil hides /=
home/owine/.emacs.d/elpa/evil-20220518.859/evil<br>/home/owine/.emacs.d/elp=
a/evil-1.15.0/evil-vars hides /home/owine/.emacs.d/elpa/evil-20220518.859/e=
vil-vars<br>/home/owine/.emacs.d/elpa/evil-1.15.0/evil-types hides /home/ow=
ine/.emacs.d/elpa/evil-20220518.859/evil-types<br>/home/owine/.emacs.d/elpa=
/evil-1.15.0/evil-states hides /home/owine/.emacs.d/elpa/evil-20220518.859/=
evil-states<br>/home/owine/.emacs.d/elpa/evil-1.15.0/evil-search hides /hom=
e/owine/.emacs.d/elpa/evil-20220518.859/evil-search<br>/home/owine/.emacs.d=
/elpa/evil-1.15.0/evil-repeat hides /home/owine/.emacs.d/elpa/evil-20220518=
.859/evil-repeat<br>/home/owine/.emacs.d/elpa/evil-1.15.0/evil-pkg hides /h=
ome/owine/.emacs.d/elpa/evil-20220518.859/evil-pkg<br>/home/owine/.emacs.d/=
elpa/evil-1.15.0/evil-maps hides /home/owine/.emacs.d/elpa/evil-20220518.85=
9/evil-maps<br>/home/owine/.emacs.d/elpa/evil-1.15.0/evil-macros hides /hom=
e/owine/.emacs.d/elpa/evil-20220518.859/evil-macros<br>/home/owine/.emacs.d=
/elpa/evil-1.15.0/evil-keybindings hides /home/owine/.emacs.d/elpa/evil-202=
20518.859/evil-keybindings<br>/home/owine/.emacs.d/elpa/evil-1.15.0/evil-ju=
mps hides /home/owine/.emacs.d/elpa/evil-20220518.859/evil-jumps<br>/home/o=
wine/.emacs.d/elpa/evil-1.15.0/evil-integration hides /home/owine/.emacs.d/=
elpa/evil-20220518.859/evil-integration<br>/home/owine/.emacs.d/elpa/evil-1=
.15.0/evil-ex hides /home/owine/.emacs.d/elpa/evil-20220518.859/evil-ex<br>=
/home/owine/.emacs.d/elpa/evil-1.15.0/evil-digraphs hides /home/owine/.emac=
s.d/elpa/evil-20220518.859/evil-digraphs<br>/home/owine/.emacs.d/elpa/evil-=
1.15.0/evil-development hides /home/owine/.emacs.d/elpa/evil-20220518.859/e=
vil-development<br>/home/owine/.emacs.d/elpa/evil-1.15.0/evil-core hides /h=
ome/owine/.emacs.d/elpa/evil-20220518.859/evil-core<br>/home/owine/.emacs.d=
/elpa/evil-1.15.0/evil-common hides /home/owine/.emacs.d/elpa/evil-20220518=
.859/evil-common<br>/home/owine/.emacs.d/elpa/evil-1.15.0/evil-commands hid=
es /home/owine/.emacs.d/elpa/evil-20220518.859/evil-commands<br>/home/owine=
/.emacs.d/elpa/evil-1.15.0/evil-command-window hides /home/owine/.emacs.d/e=
lpa/evil-20220518.859/evil-command-window<br>/home/owine/.emacs.d/elpa/evil=
-1.15.0/evil-autoloads hides /home/owine/.emacs.d/elpa/evil-20220518.859/ev=
il-autoloads<br>/home/owine/.emacs.d/elpa/lispy-20220209.1138/elpa hides /h=
ome/owine/.emacs.d/elpa/ivy-20220529.1130/elpa<br>/home/owine/.emacs.d/elpa=
/xcscope-20210719.828/xcscope hides /usr/share/emacs/site-lisp/xcscope<br>/=
home/owine/.emacs.d/elpa/auctex-13.1.3/tex-site hides /usr/share/emacs/site=
-lisp/tex-site<br>/home/owine/.emacs.d/elpa/maxima-20220531.1751/maxima hid=
es /usr/share/emacs/site-lisp/maxima<br>/home/owine/.emacs.d/elpa/maxima-20=
220531.1751/maxima-font-lock hides /usr/share/emacs/site-lisp/maxima-font-l=
ock<br>/home/owine/.emacs.d/elpa/cmake-mode-20220322.1258/cmake-mode hides =
/usr/share/emacs/site-lisp/cmake-mode<br>/home/owine/.emacs.d/elpa/clhs-202=
10428.1911/clhs hides /usr/share/emacs/site-lisp/clhs<br>/home/owine/.emacs=
.d/elpa/clang-format-20191106.950/clang-format hides /usr/share/emacs/site-=
lisp/clang-format<br>/home/owine/.emacs.d/elpa/auctex-13.1.3/auctex hides /=
usr/share/emacs/site-lisp/auctex<br>/home/owine/.emacs.d/elpa/auctex-13.1.3=
/toolbar-x hides /usr/share/emacs/site-lisp/auctex/toolbar-x<br>/home/owine=
/.emacs.d/elpa/auctex-13.1.3/texmathp hides /usr/share/emacs/site-lisp/auct=
ex/texmathp<br>/home/owine/.emacs.d/elpa/auctex-13.1.3/tex hides /usr/share=
/emacs/site-lisp/auctex/tex<br>/home/owine/.emacs.d/elpa/auctex-13.1.3/tex-=
style hides /usr/share/emacs/site-lisp/auctex/tex-style<br>/home/owine/.ema=
cs.d/elpa/auctex-13.1.3/tex-mik hides /usr/share/emacs/site-lisp/auctex/tex=
-mik<br>/home/owine/.emacs.d/elpa/auctex-13.1.3/tex-jp hides /usr/share/ema=
cs/site-lisp/auctex/tex-jp<br>/home/owine/.emacs.d/elpa/auctex-13.1.3/tex-i=
spell hides /usr/share/emacs/site-lisp/auctex/tex-ispell<br>/home/owine/.em=
acs.d/elpa/auctex-13.1.3/tex-info hides /usr/share/emacs/site-lisp/auctex/t=
ex-info<br>/home/owine/.emacs.d/elpa/auctex-13.1.3/tex-font hides /usr/shar=
e/emacs/site-lisp/auctex/tex-font<br>/home/owine/.emacs.d/elpa/auctex-13.1.=
3/tex-fold hides /usr/share/emacs/site-lisp/auctex/tex-fold<br>/home/owine/=
.emacs.d/elpa/auctex-13.1.3/tex-bar hides /usr/share/emacs/site-lisp/auctex=
/tex-bar<br>/home/owine/.emacs.d/elpa/auctex-13.1.3/preview hides /usr/shar=
e/emacs/site-lisp/auctex/preview<br>/home/owine/.emacs.d/elpa/auctex-13.1.3=
/plain-tex hides /usr/share/emacs/site-lisp/auctex/plain-tex<br>/home/owine=
/.emacs.d/elpa/auctex-13.1.3/multi-prompt hides /usr/share/emacs/site-lisp/=
auctex/multi-prompt<br>/home/owine/.emacs.d/elpa/auctex-13.1.3/latex hides =
/usr/share/emacs/site-lisp/auctex/latex<br>/home/owine/.emacs.d/elpa/auctex=
-13.1.3/latex-flymake hides /usr/share/emacs/site-lisp/auctex/latex-flymake=
<br>/home/owine/.emacs.d/elpa/auctex-13.1.3/font-latex hides /usr/share/ema=
cs/site-lisp/auctex/font-latex<br>/home/owine/.emacs.d/elpa/auctex-13.1.3/c=
ontext hides /usr/share/emacs/site-lisp/auctex/context<br>/home/owine/.emac=
s.d/elpa/auctex-13.1.3/context-nl hides /usr/share/emacs/site-lisp/auctex/c=
ontext-nl<br>/home/owine/.emacs.d/elpa/auctex-13.1.3/context-en hides /usr/=
share/emacs/site-lisp/auctex/context-en<br>/home/owine/.emacs.d/elpa/auctex=
-13.1.3/bib-cite hides /usr/share/emacs/site-lisp/auctex/bib-cite<br>/home/=
owine/.emacs.d/elpa/transient-20220527.2213/transient hides /usr/share/emac=
s/28.1/lisp/transient<br>/home/owine/.emacs.d/elpa/xref-1.4.1/xref hides /u=
sr/share/emacs/28.1/lisp/progmodes/xref<br>/home/owine/.emacs.d/elpa/dictio=
nary-20201001.1727/dictionary hides /usr/share/emacs/28.1/lisp/net/dictiona=
ry<br>/home/owine/.emacs.d/elpa/hierarchy-20190425.842/hierarchy hides /usr=
/share/emacs/28.1/lisp/emacs-lisp/hierarchy<br>/home/owine/.emacs.d/elpa/cl=
-print-1.0/cl-print hides /usr/share/emacs/28.1/lisp/emacs-lisp/cl-print<br=
><br>Features:<br>(shadow mail-extr geiser-impl geiser-custom geiser-base d=
isass emacsbug<br>two-column misearch multi-isearch erefactor helm-for-file=
s helm-comint<br>helm-imenu helm-bookmark helm-external helm-mode helm-misc=
 helm-elisp<br>helm-files image-dired helm-buffers helm-tags helm-locate he=
lm-eval<br>helm-occur helm-grep helm-regexp helm-net helm-adaptive helm-inf=
o<br>helm-utils helm-types helm-help helm helm-global-bindings helm-easymen=
u<br>helm-core async-bytecomp slime sly sly-completion sly-buttons<br>sly-m=
essages sly-common hyperspec ace-jump-mode dired-subtree<br>dired-hacks-uti=
ls dired-x windata helm-make django-snippets pythonic<br>magit-popup docboo=
k-snippets docstr docstr-key docstr-faces<br>docstr-writers docstr-util doo=
m-modeline-segments doom-modeline-env<br>doom-modeline-core shrink-path doo=
m-themes-base dynamic-ruler compat<br>checkdoc ebib ebib-reading-list ebib-=
notes ebib-filters ebib-keywords<br>ebib-utils ebib-db ecb-symboldef ecb-an=
alyse ecb-compatibility<br>ecb-winman-support ecb-autogen ecb-tod ecb-cycle=
 ecb-eshell ecb-help<br>ecb-jde ecb-upgrade ecb-file-browser ecb-method-bro=
wser<br>ecb-semantic-wrapper ecb-semantic ecb-speedbar ecb-layout<br>ecb-cr=
eate-layout ecb-compilation ecb-common-browser ecb-navigate<br>eieio-compat=
 ecb-cedet-wrapper semantic/db-mode semantic/db-find<br>semantic/db-ref sem=
antic/analyze semantic/sort semantic/scope<br>semantic/analyze/fcn semantic=
/format semantic/tag-ls semantic/find<br>semantic/ctxt ecb-mode-line ecb-fa=
ce tree-buffer ecb-util silentcomp<br>vc-mtn vc-bzr vc-src vc-sccs vc-svn v=
c-cvs vc-rcs eglot array<br>julia-mode-latexsubs eide-vc xcscope eide-windo=
ws eide-search<br>eide-project eide-keys eide-compare eide-popup eide-edit =
eide-menu<br>eide-display eide-config js ein-process ein-jupyter ein-dev ei=
n-notebook<br>ein-python-send ein-traceback ein-pytools ein-pager ein-compl=
eter<br>ein-notification ein-scratchsheet ein-worksheet poly-ein<br>display=
-line-numbers ein-kill-ring ein-cell ein-kernelinfo<br>ein-notebooklist ein=
-contents-api ein-file ein-shared-output<br>ein-output-area ein-kernel ein-=
ipdb ein-query ein-events ein-websocket<br>websocket ein-node ein-log ein-c=
lasses ein-core request ein-utils<br>anaphora ein polymode polymode-base po=
lymode-weave polymode-export<br>polymode-compat polymode-methods trace poly=
-lock polymode-core<br>polymode-classes eldev profiler eldev-util jsonrpc e=
lectric-operator elp<br>benchmark electric-spacing-text-mode electric-spaci=
ng-emacs-lisp-mode<br>electric-spacing-haskell-mode electric-spacing-org-mo=
de<br>electric-spacing-rust-mode electric-spacing-python-mode<br>electric-s=
pacing-cc-mode electric-spacing lsp-pwsh lsp-kotlin dap-ui<br>lsp-treemacs =
gdb-mi gud bui lsp-lens dap-utils dap-mode dap-launch<br>dap-overlays lsp-t=
reemacs-themes treemacs treemacs-header-line<br>treemacs-compatibility tree=
macs-mode treemacs-bookmarks thunk<br>treemacs-interface treemacs-extension=
s treemacs-mouse-interface<br>treemacs-tags treemacs-faces treemacs-persist=
ence<br>treemacs-filewatch-mode treemacs-follow-mode treemacs-rendering<br>=
treemacs-annotations treemacs-async treemacs-visuals<br>treemacs-fringe-ind=
icator treemacs-icons treemacs-themes<br>treemacs-workspaces treemacs-scope=
 treemacs-dom treemacs-core-utils<br>treemacs-macros treemacs-logging treem=
acs-customization pfuture<br>dashboard git dashboard-widgets recentf extmap=
 dotassoc kv debbugs-gnu<br>add-log debbugs-compat debbugs soap-client rng-=
xsd xsd-regexp ob-shell<br>em-hist em-pred esh-mode detached autorevert tri=
e tNFA heap link<br>connection diff-hl-show-hunk diff-hl-inline-popup diff-=
hl-dired diff<br>diff-hl vc-hg log-view pcvs-util vc-dir treeview dash-docs=
 ediff<br>ediff-merg ediff-mult ediff-wind ediff-diff ediff-help ediff-init=
<br>ediff-util projectile counsel xdg swiper skeleton ibuf-macs find-dired<=
br>grep ibuf-ext ibuffer ibuffer-loaddefs cpio-dired cpio-odc cpio-hpodc<br=
>cpio-hpbin cpio-crc cpio-bin cpio-affiliated-buffers cpio-modes<br>cpio-ne=
wc cpio-generic bindat cquery-inheritance-hierarchy<br>cquery-call-hierarch=
y cquery-code-lens cquery-semantic-highlighting<br>cquery-tree cquery-commo=
n lsp autothemer csharp-compilation<br>css-eldoc-hash-table csv-mode hsluv =
ctxmenu common-lisp-snippets<br>company-c-headers axiom-environment company=
-box-doc company-box-icons<br>frame-local company-coq-utils company-coq-tg =
company-coq-abbrev smie shr<br>kinsoku svg hideshow company-math flx ffap i=
rony-completion<br>irony-snippet irony-cdb-json irony-cdb irony irony-iotas=
k jedi-core epc<br>ctable concurrent python-environment company-etags lean-=
dev<br>lean-right-click lean-message-boxes lean-type lean-hole lean-flychec=
k<br>lean-input lean-eri lean-info lean-syntax lean-server lean-leanpkg<br>=
lean-debug lean-settings lean-util math-symbol-lists maxima<br>maxima-font-=
lock posframe rtags repeat asm-mode company-web company-css<br>web-completi=
on-data levenshtein find-file python helm-source<br>helm-multi-match helm-l=
ib clj-refactor cap-words superword subword<br>inflections cider paredit mc=
-separate-operations rectangular-region-mode<br>mc-mark-pop mc-edit-lines m=
c-hide-unmatched-lines-mode mc-mark-more<br>mc-cycle-cursors multiple-curso=
rs-core oc-csl org-id citar citar-file<br>clang-format tramp-sh cider-debug=
 cider-repl-history cider-scratch pulse<br>cider-mode cider-completion cide=
r-profile cider-inspector cider-eval<br>cider-repl cider-test cider-stacktr=
ace cider-overlays cider-jar<br>cider-browse-ns cider-eldoc apropos cider-f=
ind cider-resolve cider-doc<br>cider-browse-spec cider-clojuredocs cider-cl=
ient cider-connection<br>sesman-browser nrepl-client parseedn cider-popup c=
ider-common cider-util<br>sesman clojure-mode nrepl-dict align parseclj-ast=
 parseclj-parser<br>parseclj-lex parseclj-alist tls lui-track circe lui-irc=
-colors irc lcs<br>lui-logging lui-format lui tracking shorten flyspell cir=
ce-compat<br>citeproc-org org-ref org-ref-core org-ref-glossary org-ref-bib=
tex<br>org-ref-export ox-pandoc org-ref-misc-links org-ref-label-link<br>or=
g-ref-ref-links org-ref-citation-links org-ref-bibliography-links<br>bibtex=
-completion doi-utils org-ref-utils citeproc citeproc-itemgetters<br>citepr=
oc-cite citeproc-generic-elements citeproc-choose<br>string-inflection cite=
proc-biblatex citeproc-subbibs citeproc-sort<br>citeproc-name citeproc-macr=
o citeproc-formatters citeproc-proc<br>citeproc-disamb citeproc-itemdata ci=
teproc-number queue citeproc-date<br>citeproc-context citeproc-style citepr=
oc-locale citeproc-prange<br>citeproc-term citeproc-rt citeproc-lib citepro=
c-bibtex citeproc-s<br>ol-bibtex ox-org ox-odt ox-latex ox-icalendar ox-htm=
l table ox-ascii<br>ox-publish ox citre-peek citre-basic-tools citre-ctags =
citre-util<br>citre-core citre-tag citre-core-tables citre-common cl-format=
-builtins<br>clisp-format cl-format-def tree-mode hierarchy cg-global which=
-func caml<br>view rfc1345 cape ccls-member-hierarchy ccls-inheritance-hier=
archy<br>ccls-call-hierarchy ccls-code-lens ccls-semantic-highlight ccls-tr=
ee<br>ccls-common lsp-javascript lsp-html lsp-icons lsp-completion<br>lsp-s=
emantic-tokens lsp-mode lsp-protocol markdown-mode ht inline<br>centaur-tab=
s-interactive centaur-tabs-functions centaur-tabs-elements<br>powerline pow=
erline-separators powerline-themes config-manage<br>config-manage-mode conf=
ig-manage-prop config-manage-base choice-program<br>time-stamp config-manag=
e-declare choice-program-complete bug-hunter<br>bui-list bui-info bui-entry=
 bui-core bui-history bui-button bui-utils<br>org-agenda org-colview org-el=
ement avl-tree boxy benchmark-init<br>reftex-sel org-capture org-refile fil=
enotify biblio parsebib<br>biblio-download biblio-dissemin biblio-ieee bibl=
io-hal biblio-dblp<br>biblio-crossref biblio-arxiv biblio-doi biblio-core u=
rl-queue ido<br>hl-line f f-shortdoc tempo make-mode etags fileloop company=
-dabbrev<br>company-template company avy axiom-selector axiom-buffer-menu<b=
r>axiom-boot-mode axiom-spad-mode axiom-input-mode imenu<br>axiom-process-m=
ode axiom-help-mode axiom-base mm-url vc-git diff-mode vc<br>vc-dispatcher =
macrostep-c cmacexp macrostep lua-mode texinfo<br>texinfo-loaddefs toolbar-=
x reporter desktop frameset context plain-tex<br>latex latex-flymake flymak=
e-proc flymake tex-ispell tex-style tex crm<br>texmathp auto-loads tex-site=
 auto-complete-config rng-nxml nxml-mode<br>nxml-outln nxml-rap rng-valid r=
ng-loc rng-uri rng-parse nxml-parse<br>nxml-enc rng-match rng-dt rng-util r=
ng-pttrn nxml-ns xmltok nxml-util<br>yaxception auto-complete popup sage-sh=
ell-mode deferred ede/srecode<br>srecode semantic/db semantic/util-modes se=
mantic/util semantic<br>semantic/tag semantic/lex semantic/fw mode-local ed=
e/speedbar ede/files<br>ede ede/detect ede/base ede/source eieio-speedbar c=
edet cc-langs spinner<br>ede/auto eieio-base arxiv-query arxiv-vars org ob =
ob-tangle ob-ref<br>ob-lob ob-table ob-exp org-macro org-footnote org-src o=
b-comint<br>org-pcomplete org-list org-faces org-entities noutline outline<=
br>org-version ob-emacs-lisp ob-core ob-eval org-table oc-basic bibtex ol<b=
r>org-keys oc org-compat org-macs org-loaddefs hydra lv smtpmail sendmail<b=
r>dired-aux async async-await iter2 promise promise-rejection-tracking<br>p=
romise-finally promise-done promise-es6-extensions promise-core<br>generato=
r enriched pces-e20 pces-20 pccl-20 broken ccl path-util<br>invisible inv-2=
3 mcs-e20 mcs-20 mcharset poem poem-e20 poem-e20_3 pym<br>poe alist static =
apel-ver product cl yasnippet-snippets angular-snippets<br>yasnippet log4e =
notifications gntp almost-mono-themes sort reftex-dcr<br>reftex-parse refte=
x-cite reftex reftex-loaddefs reftex-vars s<br>all-the-icons ivy-rich ivy d=
elsel ivy-faces ivy-overlay colir<br>all-the-icons-faces data-material data=
-weathericons data-octicons<br>data-fileicons data-faicons data-alltheicons=
 edit-indirect ssass-mode<br>vue-html-mode mmm-cmds mmm-mode mmm-univ sgml-=
mode dom mmm-class<br>mmm-region mmm-auto mmm-vars mmm-utils mmm-compat fac=
e-remap term<br>disp-table ehelp term/xterm xterm reformatter timezone xmlu=
nicode quail<br>xmlunicode-character-list ert ewoc debug flycheck dash let-=
alist<br>easy-mmode epl rx warnings yaml-mode tar-mode arc-mode archive-mod=
e<br>names edebug backtrace autoload lisp-mnt mm-archive network-stream<br>=
url-http url-gw url-auth cl-print eieio-opt cl-extra shortdoc package-x<br>=
help-fns radix-tree mule-util vhdl-mode hippie-exp cus-theme tmm<br>find-fu=
nc time color shadowfile xwidget bookmark wid-browse tree-widget<br>eieio-c=
ustom woman speedbar ezimage dframe rst compile proced mh-e<br>mh-compat mh=
-buffers mh-loaddefs message rfc822 mml mml-sec epa derived<br>epg rfc6068 =
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev<br>gmm-utils ma=
ilheader hilit-chg hi-lock gnus nnheader gnus-util rmail<br>rmail-loaddefs =
rfc2047 rfc2045 ietf-drums text-property-search<br>mail-utils mm-util mail-=
prsvr facemenu cwarn cc-mode cc-fonts cc-guess<br>cc-menus cc-cmds cc-style=
s cc-align cc-engine cc-vars cc-defs ses<br>unsafep rcirc newst-backend mpc=
 ispell htmlfontify htmlfontify-loaddefs<br>eshell esh-cmd esh-ext esh-opt =
esh-proc esh-io esh-arg esh-module<br>esh-groups esh-util erc-goodies erc e=
rc-backend erc-loaddefs doc-view<br>jka-compr image-mode exif cal-menu cale=
ndar cal-loaddefs calculator<br>edmacro kmacro calc calc-loaddefs rect calc=
-macs tramp tramp-loaddefs<br>trampver tramp-integration files-x tramp-comp=
at parse-time iso8601<br>ls-lisp format-spec ntlm hmac-md5 hex-util md4 nsm=
 rmc netrc net-utils<br>ldap kermit shell pcomplete gravatar dns url-cache =
goto-addr gnutls puny<br>eudc-vars dig dbus xml bug-reference ange-ftp comi=
nt server man<br>ansi-color locate dired dired-loaddefs epg-config ebnf2ps =
ps-print<br>ps-print-loaddefs ps-def lpr bib-mode help-mode novice thingatp=
t xref<br>project ring cus-edit pp wid-edit cus-start time-date<br>modus-op=
erandi-theme modus-themes pcase tab-line cus-load windmove<br>finder-inf bn=
f-mode-autoloads names-autoloads advice<br>namespaces-autoloads realgud-rec=
ursive-autoloads slime-autoloads<br>with-editor-autoloads info package brow=
se-url url url-proxy url-privacy<br>url-expand url-methods url-history url-=
cookie url-domsuf url-util<br>mailcap url-handlers url-parse auth-source cl=
-seq eieio eieio-core<br>cl-macs eieio-loaddefs password-cache json subr-x =
map url-vars seq<br>byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-=
lib iso-transl<br>tooltip eldoc paren electric uniquify ediff-hook vc-hooks=
<br>lisp-float-type elisp-mode mwheel term/x-win x-win term/common-win x-dn=
d<br>tool-bar dnd fontset image regexp-opt fringe tabulated-list replace<br=
>newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar<br=
>rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock<br>fon=
t-lock syntax font-core term/tty-colors frame minibuffer cl-generic<br>cham=
 georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao<br>kore=
an japanese eucjp-ms cp51932 hebrew greek romanian slovak czech<br>european=
 ethiopic indian cyrillic chinese composite emoji-zwj charscript<br>charpro=
p case-table epa-hook jka-cmpr-hook help simple abbrev obarray<br>cl-preloa=
ded nadvice button loaddefs faces cus-face macroexp files<br>window text-pr=
operties overlay sha1 md5 base64 format env code-pages<br>mule custom widge=
t hashtable-print-readable backquote threads dbusbind<br>gfilenotify lcms2 =
dynamic-setting system-font-setting<br>font-render-setting cairo move-toolb=
ar gtk x-toolkit x multi-tty<br>make-network-process emacs)<br><br>Memory i=
nformation:<br>((conses 16 3122102 613628)<br>=C2=A0(symbols 48 167919 62)<=
br>=C2=A0(strings 32 759155 206619)<br>=C2=A0(string-bytes 1 22732645)<br>=
=C2=A0(vectors 16 252152)<br>=C2=A0(vector-slots 8 4169882 371529)<br>=C2=
=A0(floats 8 3882 287)<br>=C2=A0(intervals 56 204409 17430)<br>=C2=A0(buffe=
rs 992 249))<br></div>

--0000000000006ccc0f05e16989b3--




Acknowledgement sent to Lynn Winebarger <owinebar@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#55972; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 15 Jun 2022 09:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.